<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="16" version="2.0">
<workbenchAdvisor/>
<window height="736" width="1020" x="2" y="0">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="98" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="net.genady.rmi.registryActionSet" itemType="typeToolBarContribution" x="52" y="22"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="124" y="22"/>
<coolItem id="org.eclipse.jdt.ui.JavaElementCreationActionSet" itemType="typeToolBarContribution" x="121" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="85" y="22"/>
<coolItem id="org.eclipse.ui.WorkingSetActionSet" itemType="typeToolBarContribution" x="52" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="39" y="22"/>
<coolItem id="org.eclipse.ui.examples.fieldassist.actionSet" itemType="typeToolBarContribution" x="39" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="183" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.jdt.ui.ClassFileEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.ui.DefaultTextEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.CompilationUnitEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1226768913762" focus="true" label="Workspace - Java">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
</editorArea>
</editors>
<views>
<view id="org.eclipse.jdt.ui.TypeHierarchy" partName="Hierarchy"/>
<view id="org.eclipse.jdt.callhierarchy.view" partName="Call Hierarchy">
<viewState search_scope_type="1"/>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState columnWidth0="390" columnWidth1="90" columnWidth2="186" columnWidth3="75" columnWidth4="0" horizontalPosition="0" verticalPosition="0">
<columnOrder columnOrderIndex="0"/>
<columnOrder columnOrderIndex="1"/>
<columnOrder columnOrderIndex="2"/>
<columnOrder columnOrderIndex="3"/>
<columnOrder columnOrderIndex="4"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.PackageExplorer" partName="Package Explorer">
<viewState isWindowWorkingSet="true" layout="2" org.eclipse.jdt.ui.packages.linktoeditor="0" rootMode="1" workingSetName="">
<customFilters userDefinedPatternsEnabled="false">
<xmlDefinedFilters>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.LibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_*$*.class" isEnabled="true"/>
<child filterId="org.eclipse.ajdt.javamodel.CompilationUnitFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.CuAndClassFileFilter" isEnabled="false"/>
<child filterId="org.eclipse.ajdt.ui.editor.outline.PointcutFilter" isEnabled="false"/>
<child filterId="_patternFilterId_*.ajsym" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.FieldsFilter" isEnabled="false"/>
<child filterId="org.eclipse.ajdt.ui.editor.outline.IntroductionFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonPublicFilter" isEnabled="false"/>
<child filterId="org.eclipse.ajdt.ui.editor.outline.AdviceFilter" isEnabled="false"/>
<child filterId="org.eclipse.pde.ui.BinaryProjectFilter1" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.LocalTypesFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.StaticsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaElementFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ContainedLibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonSharedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ClosedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyInnerPackageFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.PackageDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyPackageFilter" isEnabled="false"/>
<child filterId="org.eclipse.ajdt.ui.editor.outline.DeclarationFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ImportDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_.*" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.SyntheticMembersFilter" isEnabled="true"/>
</xmlDefinedFilters>
</customFilters>
</viewState>
</view>
<view id="org.eclipse.jdt.ui.SourceView" partName="Declaration">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.JavadocView" partName="Javadoc">
<viewState/>
</view>
</views>
<perspectives activePart="org.eclipse.ui.console.ConsoleView" activePerspective="org.eclipse.jdt.ui.JavaPerspective">
<perspective editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.jdt.internal.ui.JavaPerspectiveFactory" id="org.eclipse.jdt.ui.JavaPerspective" label="Java"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.openExternalFile"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.WorkingSetActionSet"/>
<alwaysOnActionSet id="org.eclipse.update.ui.softwareUpdates"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.examples.fieldassist.actionSet"/>
<alwaysOnActionSet id="ajnavigation"/>
<alwaysOnActionSet id="ajelementCreation"/>
<alwaysOnActionSet id="ajcrosscutting"/>
<alwaysOnActionSet id="org.eclipse.contribution.xref.ui.XRefActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.debug.ui.JDTDebugActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.junit.JUnitActionSet"/>
<alwaysOnActionSet id="net.genady.rmi.registryActionSet"/>
<show_view_action id="org.eclipse.jdt.ui.PackageExplorer"/>
<show_view_action id="org.eclipse.jdt.ui.TypeHierarchy"/>
<show_view_action id="org.eclipse.jdt.ui.SourceView"/>
<show_view_action id="org.eclipse.jdt.ui.JavadocView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="org.eclipse.ui.views.ProgressView"/>
<show_view_action id="org.eclipse.ant.ui.views.AntView"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<show_in_time id="org.eclipse.jdt.ui.PackageExplorer" time="1227312069606"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewPackageCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewClassCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewInterfaceCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewEnumCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewAnnotationCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSnippetFileCreationWizard"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.folder"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.file"/>
<new_wizard_action id="org.eclipse.ui.editors.wizards.UntitledTextFileWizard"/>
<new_wizard_action id="ajaspectwizard"/>
<new_wizard_action id="org.eclipse.jdt.junit.wizards.NewTestCaseCreationWizard"/>
<perspective_action id="org.eclipse.ajdt.ui.visualiser.AspectVisualizationPerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaPerspective"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaBrowsingPerspective"/>
<view id="org.eclipse.jdt.ui.PackageExplorer"/>
<view id="org.eclipse.jdt.ui.TypeHierarchy"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.jdt.callhierarchy.view"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.jdt.ui.JavadocView"/>
<view id="org.eclipse.jdt.ui.SourceView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<layout>
<mainWindow>
<info folder="true" part="left">
<folder activePageID="org.eclipse.jdt.ui.PackageExplorer" appearance="2" expanded="2">
<page content="org.eclipse.jdt.ui.PackageExplorer" label="Package Explorer"/>
<page content="org.eclipse.jdt.ui.TypeHierarchy" label="Hierarchy"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.jdt.junit.ResultView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@161509b" ratio="0.74950296" ratioLeft="754" ratioRight="252" relationship="2" relative="left">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.1061061" ratioLeft="106" ratioRight="893" relationship="2" relative="left"/>
<info part="net.genady.rmi.registry.RegistryInspector" ratio="0.554295" ratioLeft="342" ratioRight="275" relationship="4" relative="org.eclipse.ui.editorss"/>
<info part="org.eclipse.search.ui.views.SearchView" ratio="0.5" ratioLeft="428" ratioRight="428" relationship="2" relative="net.genady.rmi.registry.RegistryInspector"/>
<info part="org.eclipse.ui.views.BookmarkView" ratio="0.5" ratioLeft="428" ratioRight="428" relationship="2" relative="net.genady.rmi.registry.RegistryInspector"/>
<info part="org.eclipse.ui.views.ProgressView" ratio="0.5" ratioLeft="428" ratioRight="428" relationship="2" relative="net.genady.rmi.registry.RegistryInspector"/>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@143724e" ratio="0.8811659" ratioLeft="786" ratioRight="106" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.jdt.callhierarchy.view" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.ant.ui.views.AntView" label="LabelNotFound"/>
<page content="org.eclipse.jdt.callhierarchy.view" label="Call Hierarchy"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
<info part="org.eclipse.contribution.xref.ui.views.XReferenceView" ratio="0.59962404" ratioLeft="319" ratioRight="213" relationship="4" relative="org.eclipse.ui.internal.ViewStack@143724e"/>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@99df3f" ratio="0.95345104" ratioLeft="594" ratioRight="29" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.jdt.ui.JavadocView" label="Javadoc"/>
<page content="org.eclipse.jdt.ui.SourceView" label="Declaration"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/sensor/Sensor.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Application.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/property/PropertyConfiguration_Controller.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/property/PropertyFileManager.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/property/PropertyConfiguration.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/property/PropertyConfiguration_Logger.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/util/SensorLogger.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Application.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Vehicle.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Engine.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Console.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Application.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/util/SensorLogger.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/util/InOrOut.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Engine.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/Vehicle.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/net/ClientSocketManager.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/net/ServerSocketManager.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/net/ClientSocketThread.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationActuator.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/actuator/Actuator.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationAlgorithm.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/util/VectorTable.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Prototype/prototype/util/RealTimeSimulator.java"/>
</editors>
<item historyLabel="Sensor.java" index="0">
<position/>
</item>
<item historyLabel="PropertyConfiguration_Controller.java" index="2">
<position/>
</item>
<item historyLabel="PropertyFileManager.java" index="3">
<position/>
</item>
<item historyLabel="PropertyConfiguration.java" index="4">
<position/>
</item>
<item historyLabel="PropertyFileManager.java" index="3">
<position/>
</item>
<item historyLabel="PropertyConfiguration_Controller.java" index="2">
<position/>
</item>
<item historyLabel="PropertyConfiguration.java" index="4">
<position/>
</item>
<item historyLabel="Application.java" index="1">
<position/>
</item>
<item historyLabel="PropertyConfiguration_Logger.java" index="5">
<position/>
</item>
<item historyLabel="SensorLogger.java" index="6">
<position/>
</item>
<item historyLabel="Sensor.java" index="0">
<position/>
</item>
<item historyLabel="SensorLogger.java" index="6">
<position/>
</item>
<item historyLabel="Application.java" index="7">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="2660" y="0"/>
</item>
<item historyLabel="Application.java" index="7">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position/>
</item>
<item historyLabel="Engine.java" index="9">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="611" y="0"/>
</item>
<item historyLabel="Application.java" index="7">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="6480" y="0"/>
</item>
<item historyLabel="Console.java" index="10">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="10922" y="0"/>
</item>
<item historyLabel="Application.java" index="7">
<position info="not_deleted" x="497" y="0"/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="10922" y="0"/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="3169" y="0"/>
</item>
<item historyLabel="Application.java" index="7">
<position info="not_deleted" x="497" y="0"/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="3177" y="0"/>
</item>
<item historyLabel="Console.java" index="10">
<position/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="4383" y="0"/>
</item>
<item historyLabel="Console.java" index="10">
<position info="not_deleted" x="2844" y="26"/>
</item>
<item historyLabel="Vehicle.java" index="8">
<position info="not_deleted" x="4383" y="0"/>
</item>
<item historyLabel="Application.java" index="11">
<position/>
</item>
<item historyLabel="SensorLogger.java" index="12">
<position/>
</item>
<item historyLabel="InOrOut.java" index="13">
<position/>
</item>
<item historyLabel="SensorLogger.java" index="12">
<position info="not_deleted" x="4693" y="2"/>
</item>
<item historyLabel="Engine.java" index="14">
<position/>
</item>
<item historyLabel="Vehicle.java" index="15">
<position/>
</item>
<item historyLabel="ClientSocketManager.java" index="16">
<position/>
</item>
<item historyLabel="ServerSocketManager.java" index="17">
<position/>
</item>
<item historyLabel="ClientSocketThread.java" index="18">
<position/>
</item>
<item historyLabel="ClientSocketManager.java" index="16">
<position/>
</item>
<item historyLabel="ClientSocketThread.java" index="18">
<position/>
</item>
<item historyLabel="ClientSocketManager.java" index="16">
<position info="not_deleted" x="567" y="13"/>
</item>
<item historyLabel="ExhaustGasRecirculationActuator.java" index="19">
<position/>
</item>
<item historyLabel="Actuator.java" index="20">
<position/>
</item>
<item historyLabel="ExhaustGasRecirculationActuator.java" index="19">
<position info="not_deleted" x="701" y="0"/>
</item>
<item historyLabel="ExhaustGasRecirculationAlgorithm.java" index="21">
<position/>
</item>
<item historyLabel="VectorTable.java" index="22">
<position/>
</item>
<item historyLabel="RealTimeSimulator.java" index="23">
<position/>
</item>
<item active="true" historyLabel="VectorTable.java" index="22">
<position/>
</item>
</navigationHistory>
<stickyState/>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclipse.ui.examples.readmetool.readmeTrimGroup"/>
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="RealTimeSimulator.java" tooltip="Prototype/prototype/util/RealTimeSimulator.java">
<persistable path="/Prototype/prototype/util/RealTimeSimulator.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="VectorTable.java" tooltip="Prototype/prototype/util/VectorTable.java">
<persistable path="/Prototype/prototype/util/VectorTable.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ExhaustGasRecirculationAlgorithm.java" tooltip="Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationAlgorithm.java">
<persistable path="/Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationAlgorithm.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Actuator.java" tooltip="Prototype/prototype/auto/actuator/Actuator.java">
<persistable path="/Prototype/prototype/auto/actuator/Actuator.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ExhaustGasRecirculationActuator.java" tooltip="Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationActuator.java">
<persistable path="/Prototype/prototype/auto/exhaust_gas_recirculation/ExhaustGasRecirculationActuator.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ClientSocketManager.java" tooltip="Prototype/prototype/net/ClientSocketManager.java">
<persistable path="/Prototype/prototype/net/ClientSocketManager.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ClientSocketThread.java" tooltip="Prototype/prototype/net/ClientSocketThread.java">
<persistable path="/Prototype/prototype/net/ClientSocketThread.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ServerSocketManager.java" tooltip="Prototype/prototype/net/ServerSocketManager.java">
<persistable path="/Prototype/prototype/net/ServerSocketManager.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Vehicle.java" tooltip="Prototype/prototype/auto/Vehicle.java">
<persistable path="/Prototype/prototype/auto/Vehicle.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Engine.java" tooltip="Prototype/prototype/auto/Engine.java">
<persistable path="/Prototype/prototype/auto/Engine.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="InOrOut.java" tooltip="Prototype/prototype/util/InOrOut.java">
<persistable path="/Prototype/prototype/util/InOrOut.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="SensorLogger.java" tooltip="Prototype/prototype/util/SensorLogger.java">
<persistable path="/Prototype/prototype/util/SensorLogger.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Console.java" tooltip="Prototype/prototype/auto/Console.java">
<persistable path="/Prototype/prototype/auto/Console.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Application.java" tooltip="Prototype/prototype/auto/Application.java">
<persistable path="/Prototype/prototype/auto/Application.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Sensor.java" tooltip="Prototype/prototype/auto/sensor/Sensor.java">
<persistable path="/Prototype/prototype/auto/sensor/Sensor.java"/>
</file>
</mruList>
</workbench>